[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.WMActivate

Handles the LM_ACTIVATE message which activates or deactivates the form.

## Declaration

Source position: forms.pp line 607

`protected procedure TCustomForm.WMActivate(`
`var Message: TLMActivate`
`); message;`

## Arguments

`Message` |  | Control message examined in the method.

## Description

Calls SetActive to update the value in the Active property to reflect the value for the Active member in Message.

When the form is being de-activated, the Deactivate method in Application is called. Otherwise, the Activate method in Application is called. The UpdateShowInTaskBar method is called ShowInTaskBar to determine the effective visibility for the form in the task bar.